org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ConsolePseudoProcess.Retransmitter

- java.lang.Object
- - java.io.Writer
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.ConsolePseudoProcess.Retransmitter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

Enclosing class:
  ConsolePseudoProcess

    public static class ConsolePseudoProcess.Retransmitter
    extends java.io.Writer

Responsible for getting text as `Writer` and retransmitting it as `IStreamMonitor` to whoever is interested. However in its initial state it only receives signal (the text) and saves it in a buffer. For `ConsolePseudoProcess.Retransmitter` to start giving the signal away one should call `startFlushing()` method.

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`Retransmitter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(IStreamListener listener)`
`void` `close()`
`void` `flush()`
`java.lang.String` `getContents()`
`void` `processClosed()`
`void` `removeListener(IStreamListener listener)`
`void` `startFlushing()`
`void` `write(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Retransmitter

    public Retransmitter()

### Method Detail

#### addListener

    public void addListener(IStreamListener listener)

#### getContents

    public java.lang.String getContents()

#### removeListener

    public void removeListener(IStreamListener listener)

#### flush

    public void flush()

Specified by:
  `flush` in interface `java.io.Flushable`
Specified by:
  `flush` in class `java.io.Writer`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `java.io.Writer`

#### write

    public void write(char[] cbuf,
                      int off,
                      int len)

Specified by:
  `write` in class `java.io.Writer`

#### startFlushing

    public void startFlushing()

#### processClosed

    public void processClosed()